| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
compress.c File Reference
`#include "zlib.h"`

Go to the source code of this file.

## Macros
#define | ZLIB_INTERNAL

## Functions
int ZEXPORT | compress2 (Bytef *dest, uLongf *destLen, const Bytef *source, uLong sourceLen, int level)
int ZEXPORT | compress (Bytef *dest, uLongf *destLen, const Bytef *source, uLong sourceLen)
uLong ZEXPORT | compressBound (uLong sourceLen)

## Macro Definition Documentation

#define ZLIB_INTERNAL

Definition at line 8 of file compress.c.

## Function Documentation

int ZEXPORT compress | ( | Bytef * | dest,
|  | uLongf * | destLen,
|  | const Bytef * | source,
|  | uLong | sourceLen
| ) |  |

Definition at line 62 of file compress.c.

int ZEXPORT compress2 | ( | Bytef * | dest,
|  | uLongf * | destLen,
|  | const Bytef * | source,
|  | uLong | sourceLen,
|  | int | level
| ) |  |

Definition at line 22 of file compress.c.

uLong ZEXPORT compressBound | ( | uLong | sourceLen | ) |

Definition at line 75 of file compress.c.